Skip to main content
GET
/
orgs
/
{orgId}
/
audit-logs
/
{logId}
cURL
curl --request GET \
  --url https://api.useanima.sh/v1/orgs/{orgId}/audit-logs/{logId} \
  --header 'Authorization: Bearer <token>'
{
  "id": "<string>",
  "orgId": "<string>",
  "actorId": "<string>",
  "action": "<string>",
  "resourceType": "<string>",
  "resourceId": "<string>",
  "ipAddress": "<string>",
  "userAgent": "<string>",
  "metadata": {},
  "createdAt": "<string>"
}

Authorizations

Authorization
string
header
required

JWT Bearer token obtained from authentication. Pass as: Authorization: Bearer

Path Parameters

orgId
string
required

Organization identifier

logId
string
required

Audit log entry identifier

Response

200 - application/json

OK

An immutable audit log entry

id
string
required

Unique audit log entry identifier

orgId
string
required

Organization identifier

actorType
enum<string>
required

Type of actor that performed the action

Available options:
API_KEY,
USER,
SYSTEM,
AGENT
actorId
string
required

Identifier of the actor

action
string
required

Action performed (e.g. agent.create)

resourceType
string
required

Type of resource acted upon

resourceId
string
required

Identifier of the resource

result
enum<string>
required

Result of the audited action

Available options:
SUCCESS,
FAILURE,
DENIED
ipAddress
string | null
required

IP address of the request

userAgent
string | null
required

User-Agent header value

metadata
object | null
required

Additional structured metadata

createdAt
string
required

ISO 8601 timestamp of the event